Subject: bug#68486: 29.1; Confusing window layout changes in image-dired

From: [email-masked]
Date: Tue, 16 Jan 2024 10:53:36 +0100

Manuel Giraud <[email-masked]> writes:

> [email-masked] writes:
>
>> I have a question about image dired. I find it very confusing the way
>> window layout changes in image-dired happen.
>>
>> Basically I want a window layout like depicted here:
>> https://www.emacswiki.org/emacs/ImageDired
>>
>> In words: a 3 window layout, dired to the left, image dired top right, larger
>> view of current image bottom right.
>>
>> +----+----+
>> |    |    |
>> |    +----+
>> |    |    |
>> +----+----+
>>
>> Whenever I try to set this layout up by hand the main image view jumps between
>> windows, ruining my layout.
>
> Hi Joakim,
>
> I have tried your layout and you're right that this is annoying: for me
> the dired buffer and image view buffer are switching windows each time I
> go to the next image.
>
> Maybe we should try to fix this but, as usual, with Emacs display layout
> it could not be to everybody's taste.

Agreed, but I think it wouldnt be controversial to keep an existing
user created layout, and you seem to agree with this sentiment.

>
>> Theres a function image-dired-display-image that displays the image
>> you select for display in the thumb view window. the call to
>> kill-buffer and then pop-to-buffer would seem to indicate that this is
>> the intended behaviour, or is it? Shouldnt the code try to preserve
>> the users window configuration if possible?
>>
>> The function, notice kill-buffer then pop-to-buffer.
>
> Thanks for this hint.  You're right that the kill/pop-to/rename dance
> may be the cause of this issue.

I tried just removing the kill-buffer, but that didnt work, I guess the
call is there for a reason. I thought that if the buffer isnt killed,
and the content just replaced everything should work, but aparently not.

If you come up with a patch I will try it!

-- 
Joakim Verona
[email-masked]